package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.ActiveLearn;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.PageRequest;

import java.util.List;

public interface ActiveLearnDao {
    long count(@Param("name") String name);

    List<ActiveLearn> queryByPage(@Param("name") String name, @Param("pageable") PageRequest pageRequest);

    ActiveLearn getActiveLearnByName(@Param("name") String name);

    int save(@Param("activeLearn") ActiveLearn activeLearn);

    int edit(@Param("activeLearn") ActiveLearn activeLearn);

    ActiveLearn getActiveLearnById(@Param("id") Long id);

    List<ActiveLearn> queryByDatasetId(@Param("datasetId") String datasetId);

    List<ActiveLearn> queryByModelId(@Param("modelId") String modelId);

    List<ActiveLearn> queryByImageId(@Param("imageId") String imageId);

    List<ActiveLearn> queryByCodeConfig(@Param("codeConfig") String codeConfig);
}
